Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 164374 - rh_prefer_bitmaps option
Summary: rh_prefer_bitmaps option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Depends On: 176910
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-07-27 13:55 UTC by Owen Taylor
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-31 18:12:19 UTC


Attachments (Terms of Use)
Patch for cairo to support the embeddedbitmap fontconfig option (deleted)
2005-12-23 07:09 UTC, Tim Mayberry
no flags Details | Diff

Description Owen Taylor 2005-07-27 13:55:32 UTC
For Xft, we have a patch in our RPM:

 Xft-1.9.1.020811.1151-embeddedbitmap.patch

which implements a custom fontconfig option 'rh_prefer_bitmaps'.
If this option is set, then we suppress the FT_LOAD_NO_BITMAP
flag from the load flags we pass to to FreeType.

This should be easy to implement in Cairo as well if we wnat
to continue doing it as a patch - see 
cairo-ft-font.c:_get_pattern_load_flags().

To not do it as a patch, we'd have to get the option both into
fontconfig (presumably renamed) and Cairo upstream, which would
be a bit of a pain for something that is a hack; though a useful
hack.

Comment 1 sangu 2005-10-01 10:24:13 UTC
Patch in this mail (
http://lists.freedesktop.org/archives/cairo/2005-September/005401.html ) seems
to be relative to this bug.

Comment 2 sangu 2005-11-08 02:29:49 UTC
<
http://cvs.freedesktop.org/fontconfig/fontconfig/ChangeLog?rev=1.109.2.36&only_with_tag=fc-2_3_92&view=markup
>

2005-10-25  Jinghua Luo  <sunmoon1997@gmail.com>
	reviewed by: plam

	* fontconfig/fonts.conf.in:
	* fontconfig/fontconfig.h:
	* src/fcdefault.c:
	* src/fcname.c:

	Add FC_EMBEDDED_BITMAP object type to tell Xft/Cairo whether
	to load embedded bitmaps or not.

fontconfig updates to 2.3.92 in rawhide 20051107



Comment 3 Leon Ho 2005-12-08 18:25:24 UTC
So fontconfig is fixed, right? The only thing left is in cairo?

Comment 4 Tim Mayberry 2005-12-23 07:09:41 UTC
Created attachment 122555 [details]
Patch for cairo to support the embeddedbitmap fontconfig option

This patch is the same as a patch sent to the cairo list see
http://lists.freedesktop.org/archives/cairo/2005-September/005404.html except
that It targets the version of cairo in rawhide. Applying this patch should
allow the fontconfig embeddedbitmap option to work.

Comment 5 Leon Ho 2006-01-16 07:18:13 UTC
Needs this for our major Chinese feature in FC5.

Comment 6 Ray Strode [halfline] 2006-01-27 19:08:03 UTC
Hi Carl,

Does this patch look okay?  If so, I can build it into rawhide.

Comment 7 Tim Mayberry 2006-01-31 06:00:31 UTC
I'm marking the patch attached as obselete as the same patch is incorporated
into  the patch set attached to bug 176910.

Comment 8 sangu 2006-02-01 02:29:49 UTC
Please see bug 179522 for libXft's embedded_bitmap option.

Comment 9 sangu 2006-02-04 06:25:56 UTC
See Also : 

 Support for fontconfig embeddedbitmap option : 
 https://bugs.freedesktop.org/show_bug.cgi?id=5560


Note You need to log in before you can comment on or make changes to this bug.